/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Display
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Display

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Display_get_info (DBusGProxy *proxy, GHashTable** OUT_properties, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetInfo", error, G_TYPE_INVALID, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), OUT_properties, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Display_get_info_reply) (DBusGProxy *proxy, GHashTable *OUT_properties, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Display_get_info_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  GHashTable* OUT_properties;
  dbus_g_proxy_end_call (proxy, call, &error, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_VALUE), &OUT_properties, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Display_get_info_reply)data->cb) (proxy, OUT_properties, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Display_get_info_async (DBusGProxy *proxy, org_freesmartphone_Device_Display_get_info_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetInfo", org_freesmartphone_Device_Display_get_info_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Display_get_brightness (DBusGProxy *proxy, gint* OUT_brightness, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetBrightness", error, G_TYPE_INVALID, G_TYPE_INT, OUT_brightness, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Display_get_brightness_reply) (DBusGProxy *proxy, gint OUT_brightness, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Display_get_brightness_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  gint OUT_brightness;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INT, &OUT_brightness, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Display_get_brightness_reply)data->cb) (proxy, OUT_brightness, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Display_get_brightness_async (DBusGProxy *proxy, org_freesmartphone_Device_Display_get_brightness_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetBrightness", org_freesmartphone_Device_Display_get_brightness_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Display_set_brightness (DBusGProxy *proxy, const gint IN_brightness, GError **error)

{
  return dbus_g_proxy_call (proxy, "SetBrightness", error, G_TYPE_INT, IN_brightness, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Display_set_brightness_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Display_set_brightness_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Display_set_brightness_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Display_set_brightness_async (DBusGProxy *proxy, const gint IN_brightness, org_freesmartphone_Device_Display_set_brightness_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SetBrightness", org_freesmartphone_Device_Display_set_brightness_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INT, IN_brightness, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Display_get_backlight_power (DBusGProxy *proxy, gboolean* OUT_power, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetBacklightPower", error, G_TYPE_INVALID, G_TYPE_BOOLEAN, OUT_power, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Display_get_backlight_power_reply) (DBusGProxy *proxy, gboolean OUT_power, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Display_get_backlight_power_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  gboolean OUT_power;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_BOOLEAN, &OUT_power, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Display_get_backlight_power_reply)data->cb) (proxy, OUT_power, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Display_get_backlight_power_async (DBusGProxy *proxy, org_freesmartphone_Device_Display_get_backlight_power_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetBacklightPower", org_freesmartphone_Device_Display_get_backlight_power_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Display_set_backlight_power (DBusGProxy *proxy, const gboolean IN_power, GError **error)

{
  return dbus_g_proxy_call (proxy, "SetBacklightPower", error, G_TYPE_BOOLEAN, IN_power, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Display_set_backlight_power_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Display_set_backlight_power_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Display_set_backlight_power_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Display_set_backlight_power_async (DBusGProxy *proxy, const gboolean IN_power, org_freesmartphone_Device_Display_set_backlight_power_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SetBacklightPower", org_freesmartphone_Device_Display_set_backlight_power_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_BOOLEAN, IN_power, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Display */

G_END_DECLS
